# -*- coding: utf-8 -*-
#
# Test script for labri instru detect plugin (works whithout Timeside)
#
# Copyright (c) 2014 Dominique Fourer <dominique@fourer.fr>

# This file is part of TimeSide.

# TimeSide is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.

# TimeSide is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with TimeSide.  If not, see <http://www.gnu.org/licenses/>.

# Author: D Fourer <dominique@fourer.fr> http://www.fourer.fr

import timeside
from timeside.core import get_processor

import labri_instru
import numpy, scipy, scipy.io


# default settings
chemin = 'examples/';
nbits = 16;
MAX_VAL = pow(2.,(nbits-1)) * 1.0;

############### Processing starts here
filelist = ["CNRSMH_I_2013_402_001_05_cordo_frotte.wav", "CNRSMH_I_2013_402_001_cordo_pince.wav", "CNRSMH_I_2013_404_001_aero.wav", "CNRSMH_I_2013_405_membrano.wav", "CNRSMH_I_2013_406_001_idiophone_pince.wav"];


index = 0;
for f in filelist:
	if f[-3:] == "wav":
		print "Processing", f, "...\n";
		filename = chemin+f;
		
		decoder  =  get_processor('gst_dec')(filename)
		#grapher  =  get_processor('waveform_simple')()
		analyzer =  get_processor('labri_instru')();
		(decoder | analyzer).run()
		
		print analyzer.results    ## why is it empty ?????? see labri_instru l116 / l123
		
		results = analyzer.result_param;
		
		## direct acces to class properties (deprecated)
		famille  = analyzer.famille;
		jeu      = analyzer.jeu;
		print "Detected as ", famille," - ", jeu, " , confidence value in [0;1]", results[2],"\n\n";

		
		
